diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/de600.c linux-2.5/drivers/net/de600.c
--- bk-linus/drivers/net/de600.c	2002-11-21 02:16:07.000000000 +0000
+++ linux-2.5/drivers/net/de600.c	2002-11-21 17:59:16.000000000 +0000
@@ -446,7 +446,10 @@ int __init de600_probe(struct net_device
 		return -ENODEV;
 	}
 
-	request_region(DE600_IO, 3, "de600");
+	if (!request_region(DE600_IO, 3, "de600")) {
+		printk(KERN_WARNING "DE600: port 0x%x busy\n", DE600_IO);
+		return -EBUSY;
+	}
 
 	printk(", Ethernet Address: %02X", dev->dev_addr[0]);
 	for (i = 1; i < ETH_ALEN; i++)
